Name:		gzip
Summary:	The GNU data compression program
Version:	1.12
Release:	%mkrel 1
Source0:	https://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.xz
Source1:	https://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.xz.sig
URL:		https://www.gnu.org/software/gzip/
License:	GPLv3+
Group:		Archiving/Compression
Requires:	mktemp
BuildRequires:	less
BuildRequires:	texinfo

%description
The gzip package contains the popular GNU gzip data compression
program. Gzipped files have a .gz extension.

Gzip should be installed on your Mageia system, because it is a
very commonly used data compression program.

%prep
%autosetup -p1

%build
export DEFS="-DNO_ASM"
export CPPFLAGS="-DHAVE_LSTAT"

%configure

%make_build

%check
%__make check

%install
%make_install

for i in zcmp zdiff zforce zgrep zmore znew ; do
	sed -i -e "s|%{buildroot}||g" %{buildroot}%{_bindir}/$i
	chmod 755 %{buildroot}%{_bindir}/$i
done

# uncompress is a part of ncompress package
rm -f %{buildroot}%{_bindir}/uncompress

%files
%doc NEWS README AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*


%changelog
* Fri Apr 08 2022 kekepower <kekepower> 1.12-1.mga9
+ Revision: 1848005
- Update to version 1.12

* Fri Mar 18 2022 umeabot <umeabot> 1.11-2.mga9
+ Revision: 1797872
- Mageia 9 Mass Rebuild

* Fri Sep 03 2021 luigiwalser <luigiwalser> 1.11-1.mga9
+ Revision: 1744248
- 1.11

* Fri Apr 17 2020 joequant <joequant> 1.10-4.mga8
+ Revision: 1567976
- remove zless and less dependency. less automatically
  views compressed files

* Thu Apr 16 2020 tv <tv> 1.10-3.mga8
+ Revision: 1567761
- remove info-install dep

* Fri Feb 14 2020 umeabot <umeabot> 1.10-2.mga8
+ Revision: 1521733
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.10-1.mga7
+ Revision: 1347115
- 1.10
- remove upstream patch

* Mon Sep 03 2018 tv <tv> 1.9-3.mga7
+ Revision: 1256517
- Patch 1: fix build
- rely on filetriggers for info system (mga#23482)
+ kekepower <kekepower>
- Use __make check

* Thu Jan 11 2018 shlomif <shlomif> 1.9-2.mga7
+ Revision: 1192405
- remove trail space
+ kekepower <kekepower>
- Removed old patches based on feedback from upstream dev
- See https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30040
- Cleaned up spec file a little

* Wed Jan 10 2018 mokraemer <mokraemer> 1.9-1.mga7
+ Revision: 1191998
- gzip release 1.9

* Wed Apr 27 2016 luigiwalser <luigiwalser> 1.8-1.mga6
+ Revision: 1006806
- 1.8

* Mon Mar 28 2016 luigiwalser <luigiwalser> 1.7-1.mga6
+ Revision: 995995
- 1.7
- remove patches 0, 4, 5, and 18 (fixed upstream)

* Mon Feb 15 2016 umeabot <umeabot> 1.6-9.mga6
+ Revision: 960604
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 1.6-8.mga6
+ Revision: 867477
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1.6-7.mga5
+ Revision: 742418
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-6.mga5
+ Revision: 680068
- Mageia 5 Mass Rebuild

* Fri Apr 11 2014 wally <wally> 1.6-5.mga5
+ Revision: 613468
- update rsyncable patch to improve indentation in --help output

* Fri Apr 11 2014 wally <wally> 1.6-4.mga5
+ Revision: 613460
- update rsyncable patch to add info about --rsyncable switch to man page (mga#13195)

* Sun Jan 19 2014 tarakbumba <tarakbumba> 1.6-3.mga4
+ Revision: 566898
- Fix race condition in zgrep-signal test, where subcommand writes to a pipe before the ':' commend exists

* Sat Oct 19 2013 umeabot <umeabot> 1.6-2.mga4
+ Revision: 532946
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1.6-1.mga4
+ Revision: 450920
- 1.6
- remove addsuffix patch (fixed upstream)
- rediff cve-2006-4336 patch

* Sat Jan 12 2013 umeabot <umeabot> 1.5-3.mga3
+ Revision: 353065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 1.5-2.mga3
+ Revision: 273158
- Update for usrmove

* Tue Jun 19 2012 luigiwalser <luigiwalser> 1.5-1.mga3
+ Revision: 261930
- 1.5
- update URLs
- remove patch3 (better fix upstream)
- rediff patch4
- rediff patch5
- rediff patch7
- rediff patch13
- rediff patch14
- rediff patch15
- rediff patch16
- rediff patch17

* Fri Jan 07 2011 tmb <tmb> 1.4-3.mga2
+ Revision: 270
- imported package gzip

